> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedbase.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Changelogs

> Get all project changelogs



## OpenAPI

````yaml get /projects/{projectSlug}/changelogs
openapi: 3.0.0
info:
  title: Feedbase API
  description: Feedbase API Documentation
  version: 1.0.0
servers:
  - url: https://api.feedbase.app/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectSlug}/changelogs:
    get:
      description: Get all project changelogs
      operationId: getProjectChangelogs
      parameters:
        - name: projectSlug
          in: path
          description: Project slug
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChangelogWithAuthor'
        '400':
          description: Invalid project slug supplied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ChangelogWithAuthor:
      type: object
      properties:
        id:
          type: string
          format: uuid
        project_id:
          type: string
          format: uuid
        author_id:
          type: string
          format: uuid
        author:
          type: object
          properties:
            id:
              type: string
              format: uuid
            email:
              type: string
            full_name:
              type: string
            avatar_url:
              type: string
        title:
          type: string
        slug:
          type: string
        summary:
          type: string
        content:
          type: string
        image:
          type: string
        publish_date:
          type: string
          format: date-time
        published:
          type: boolean
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````